Category Filter
List OUs
Overview
This API retrieves a comprehensive list of all Organizational Units (OUs) associated with a specific domain within the Hexnode UEM console. It returns detailed metadata for each OU, including its unique identifier, name, parent mapping, status, and timestamps for creation and modification.
| Argument | Type | Description |
|---|---|---|
| domain_id | Integer | The unique identifier of the domain from which to fetch the Organizational Units. (Passed as a query parameter in the URL). |
curl
HTTP Request:
|
1 |
GET https://<portalname>.hexnodemdm.com/api/v1/ous/?domain_id=1 |
Shell Command:
|
1 |
curl -H "Authorization: <your API key>" "https://<portalname>.hexnodemdm.com/api/v1/ous/?domain_id=1" |
HTTP Response:
|
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 |
{ "count": 7, "next": null, "previous": null, "results": [ { "id": 130, "name": "Marketing", "guid": null, "created_date": "2025-12-23T08:51:53.039823Z", "modified_date": "2025-12-23T08:51:53.039829Z", "parent_guid": "128", "description": "Marketing R&D for New York", "domain": 1, "status": 1 }, { "id": 128, "name": "Sales", "guid": null, "created_date": "2025-12-23T07:56:05.965809Z", "modified_date": "2025-12-23T08:51:53.037506Z", "parent_guid": "126", "description": "", "domain": 1, "status": 1 } ] } |